/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Model.Summary = Class.create(Photos.Model.Scene, {
	getTitle: function() {
		return "Mock summary.";
	},

	getHeadline: function() {
		return "Mock headline";
	},

	getHeadlineImages: function() {
		return [];
	},

	getHighlightTitle: function() {
		return "Mock highlight";
	},

	getMoreText: function() {
		return "Mock more";
	},

	getThumbsModel: function(item) {
		return null;
	},

	requestHighlights: function(done) {
		done.curry([{albumName: "Mock highlights."}]).defer();
	}

	/*
	 headline: function() {
		Mojo.Log.info("Override to headline functionality.");
	 },
	 */

	/*
	more: function(callback) {
		Mojo.Log.info("Override to add more button functionality.");
	}
	*/
});

